# TextBlue

### Introduction

The TextRed, TextGreen, and TextBlue values control the color of the Text object used by the Debugger class. These three values range between 0 and 1, and the default value is 1,1,1 (white).

### Color and CommandLineWrite

Currently the Debugger uses a single Text object for the entire "command line", meaning if you set the color, the color applies to all lines, not just the single line.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/debugging/debugger/textblue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
